List promo codes with cursor-based pagination.
List promo codes with cursor-based pagination.
ApiKeyAuth In: header
1 <= length1 <= value <= 100application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/promo-codes"{ "object": "list", "data": [ { "id": "promo_1a2b3c4d", "code": "LAUNCH20", "offerId": "offer_1a2b3c4d", "billingInterval": "monthly", "maxRedemptions": 100, "expiresAt": null, "isActive": true, "redemptionCount": 0, "createdAt": "2026-09-07T12:00:00.000Z", "updatedAt": "2026-09-07T12:00:00.000Z", "object": "promo_code", "livemode": false } ], "hasMore": false}{ "error": { "type": "validation_error", "code": "validation_error", "message": "The request contains an invalid parameter.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md" }}{ "error": { "type": "authentication_error", "code": "unauthorized", "message": "A valid API key is required.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md" }}{ "error": { "type": "authentication_error", "code": "forbidden", "message": "You do not have permission to perform this operation.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md" }}{ "error": { "type": "rate_limit_error", "code": "rate_limited", "message": "Too many requests. Retry after the interval specified in the Retry-After header.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md" }}{ "error": { "type": "internal_error", "code": "internal_error", "message": "An unexpected error occurred while processing the request.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md" }}